/*
	9-30-92   Brigham Stevens
	--------------------------

	This file contains the standard witch chant for getting the Mac going
*/

#include "CoreGlobals.h"


void SystemCheck(void)
/*
	This routine checks the minimum requirements to execute.
	If it does not return, then the machine does not cut
	the mustard.
*/
{
	long	gestResult;
	
	(void) Gestalt(gestaltSystemVersion,&gestResult);
	
	if (gestResult < 0x0700)	{
		ErrMsg("\pRequires System 7 or later!");
		ExitToShell();
	}

	/* initialize the color quickdraw flag */	
	(void) Gestalt(gestaltQuickdrawVersion,&gestResult);
	if(gestResult >= gestalt8BitQD) gColorQD = true;
}

void InitToolBox(short numberOfMasters)
/*
	pass the number of times you want MoreMasters to be called
	if your app has lots of Handles to allocate
	then call MoreMasters lots of times.
*/
{
	
	InitGraf(&thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	InitCursor();
	TEInit();
	FlushEvents(everyEvent, 0);
	InitDialogs(nil);
	
	while(numberOfMasters--)
		MoreMasters();
		
	SystemCheck();

}
